オプションに基づいて複数のURLをマップする
curl --request POST \
--url https://api.firecrawl.dev/v1/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"ignoreSitemap": true,
"includeSubdomains": true,
"limit": 5000,
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"search": "<string>",
"sitemapOnly": false,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
},
"timeout": 123
}
'import requests
url = "https://api.firecrawl.dev/v1/map"
payload = {
"url": "<string>",
"ignoreSitemap": True,
"includeSubdomains": True,
"limit": 5000,
"location": {
"country": "US",
"languages": ["en-US"]
},
"search": "<string>",
"sitemapOnly": False,
"threatProtection": {
"blacklist": ["<string>"],
"blockedTlds": ["<string>"],
"riskScoreThreshold": 75,
"whitelist": ["<string>"]
},
"timeout": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
ignoreSitemap: true,
includeSubdomains: true,
limit: 5000,
location: {country: 'US', languages: ['en-US']},
search: '<string>',
sitemapOnly: false,
threatProtection: {
blacklist: ['<string>'],
blockedTlds: ['<string>'],
riskScoreThreshold: 75,
whitelist: ['<string>']
},
timeout: 123
})
};
fetch('https://api.firecrawl.dev/v1/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": [
"<string>"
],
"success": true
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}マッピング エンドポイント
マップ
POST
/
map
オプションに基づいて複数のURLをマップする
注意: 機能とパフォーマンスが向上した本 API の新しい v2 バージョン が利用可能です。
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
application/json
クロールを開始するベースURL
クロール時にサイトマップを無視する。
サイトのサブドメインを含める
返すリンク数の上限
必須範囲:
x <= 30000リクエストのロケーション設定。指定した場合、利用可能であれば対応するプロキシを使用し、対応する言語とタイムゾーン設定をエミュレートします。指定しない場合は、デフォルトで「US」が使用されます。
Show child attributes
Show child attributes
マッピングに使用する検索クエリです。Alpha フェーズ中は、検索機能の「スマート」な部分は検索結果 500 件までに制限されています。ただし、map によってそれ以上の結果が見つかった場合でも、その件数には制限はありません。
ウェブサイトのサイトマップに含まれるリンクだけを返す
リクエスト単位の脅威保護オーバーライドです。指定したフィールドは、このリクエストに限り、組織のポリシー内の対応するフィールドを上書きします。省略したフィールドには組織レベルの値がそのまま使用されます。利用するには、チームで脅威保護(エンタープライズ機能)が有効になっている必要があります。そうでない場合、リクエストは 403 で拒否されます。組織でリクエストのオーバーライドが無効になっている場合、このオブジェクトを含むリクエストはすべて 403 で拒否されます。チームで脅威保護の適用が必須になっている場合、mode に off は設定できません。
Show child attributes
Show child attributes
タイムアウト時間(ミリ秒単位)。デフォルトではタイムアウトは設定されていません。
⌘I

